Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.flagstone.transform
Class FSRegisterVariable

    java.lang.Object
      com.flagstone.transform.FSTransformObject
          com.flagstone.transform.FSRegisterVariable

All Implemented Interfaces:
  java.lang.Cloneable

    public class FSRegisterVariable

extends FSTransformObject

FSRegisterVariable is a lightweight class used to identify the register that an argument defined in The FSNewFunction2 class is mapped into when executing the function.

Register numbers up to 255 may be specified. If the number is zero then the argument is defined as a local variable.

Constructor Summary
`FSRegisterVariable(FSCoder coder)` Construct an FSRegisterVariable object, initialising it with values decoded from an encoded object.
`FSRegisterVariable(FSRegisterVariable obj)` Constructs an FSRegisterVariable object by copying values from an existing object.
`FSRegisterVariable(int index, java.lang.String name)` Constructs a new FSRegisterVariable object specifying the name of the argument and the number of the register it will be mapped to.

Method Summary
`void` | `appendDescription(java.lang.StringBuffer buffer, int depth)` AppendDescription is used to present a string description of the object including all nested objects up to a specified depth.
`void` | `decode(FSCoder coder)`
`void` | `encode(FSCoder coder)`
`boolean` | `equals(java.lang.Object anObject)` Returns true if anObject is equal to this one.
`int` | `getIndex()` Gets the number of the register that will contain the function argument.
`java.lang.String` | `getName()` Gets the name of the function argument.
`int` | `length(FSCoder coder)`
`void` | `setIndex(int index)` Sets the number of the register that will contain the function argument.
`void` | `setName(java.lang.String name)` Sets the name of the function argument.

Methods inherited from class com.flagstone.transform.FSTransformObject
`clone, name, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FSRegisterVariable

    public FSRegisterVariable(FSCoder coder)

  Construct an FSRegisterVariable object, initialising it with values decoded from an encoded object.

  Parameters:
    `coder` - an FSCoder containing the binary data.

### FSRegisterVariable

    public FSRegisterVariable(int index,
                              java.lang.String name)

  Constructs a new FSRegisterVariable object specifying the name of the argument and the number of the register it will be mapped to. If the index is 0 then the argument will be stored in a local variable.

  Parameters:
    `index` - the number of the register, 1..255, 0 if the argument will be stored in a local variable.
    `name` - the name of the argument.

### FSRegisterVariable

    public FSRegisterVariable(FSRegisterVariable obj)

  Constructs an FSRegisterVariable object by copying values from an existing object.

  Parameters:
    `obj` - an FSRegisterVariable object.

Method Detail

### getIndex

    public int getIndex()

  Gets the number of the register that will contain the function argument.

  Returns:
    the number of the register, 1..255, in which the function argument will be stored, 0 if the argument will be stored in a local variable.

### getName

    public java.lang.String getName()

  Gets the name of the function argument.

  Returns:
    the name of the argument.

### setIndex

    public void setIndex(int index)

  Sets the number of the register that will contain the function argument.

  Parameters:
    `index` - the number of the register, 1..255, in which the function argument will be stored, 0 if the argument will be stored in a local variable.

### setName

    public void setName(java.lang.String name)

  Sets the name of the function argument.

  Parameters:
    `name` - the name of the argument.

### equals

    public boolean equals(java.lang.Object anObject)

  Returns true if anObject is equal to this one. Objects are considered equal if they would generate identical binary data when they are encoded to a Flash file.

  Overrides:
    `equals` in class `FSTransformObject`
  Returns:
    true if this object would be identical to anObject when encoded.

### appendDescription

    public void appendDescription(java.lang.StringBuffer buffer,
                                  int depth)

  Description copied from class: `FSTransformObject`
  AppendDescription is used to present a string description of the object including all nested objects up to a specified depth. This method provide a more controlled way of creating a string representation of an object since large objects such as font or shape definitions can contain dozens of nested objects. The representation of the object is appended to the StringBuffer, showing the name of the class and values of the attributes it contains. If the object contains any attributes that are objects then the object graph will be traversed up to the specified depth. If objects are nested at a level less than specified depth then the full string representation of the object is displayed. For objects at the specified depth only the name of the class is displayed. Any objects below this depth are not displayed.

  Specified by:
    `appendDescription` in class `FSTransformObject`
  Parameters:
    `buffer` - a StringBuffer to which the description of each object is appended.
    `depth` - the maximum level of nesting up to which objects will be displayed.

### length

    public int length(FSCoder coder)

  Specified by:
    `length` in class `FSTransformObject`

### encode

    public void encode(FSCoder coder)

  Specified by:
    `encode` in class `FSTransformObject`

### decode

    public void decode(FSCoder coder)

  Specified by:
    `decode` in class `FSTransformObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD